#ifndef TYPES_H
#define TYPES_H

enum tStatus
{
   ACTIF
,  DORMANT
};

enum tType
{
	 tBool
,   tInt1
,   tInt2
,   tInt4
,   tReal4
,   tReal8
};

typedef bool   tBOOL;
typedef char   tINT1;
typedef short  tINT2;
typedef int    tINT4;
typedef float  tREAL4;
typedef double tREAL8;

typedef union
{
   tBOOL  b;
   tINT1  i1;
   tINT2  i2;
   tINT4  i4;
   tREAL4 r4;
   tREAL8 r8;
} tDataChunk;


struct tData
{
   tType _type;
   tDataChunk _data;
};

const tData& datacpy (tData&, const tData&);

#endif // !defined TYPES_H
